Package pyplusplus :: Package code_creators :: Module calldef :: Class calldef_wrapper_t

# type calldef_wrapper_t

source code

                               object --+
                                        |
              code_creator.code_creator_t --+
                                            |
    declaration_based.declaration_based_t --+
                                            |
                                           calldef_wrapper_t

Known Subclasses:
  - calldef_transformed.sealed_fun_transformed_wrapper_t
  - , calldef_transformed.mem_fun_v_transformed_wrapper_t
  - , constructor_wrapper_t
  - , mem_fun_private_v_wrapper_t
  - , mem_fun_protected_pv_wrapper_t
  - , mem_fun_protected_s_wrapper_t
  - , mem_fun_protected_v_wrapper_t
  - , mem_fun_protected_wrapper_t
  - , mem_fun_pv_wrapper_t
  - , mem_fun_v_wrapper_t

Instance Methods

__init__(self, function) Constructor. | source code

override_identifier(self) | source code

function_call_args(self) | source code

args_declaration(self) | source code

wrapped_class_identifier(self) | source code

unoverriden_function_body(self) | source code

throw_specifier_code(self) | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers` Inherited from `declaration_based.declaration_based_t`: `get_user_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance` Inherited from `declaration_based.declaration_based_t`: `alias`, `decl_identifier`, `declaration`, `documentation`

Method Details

### __init__(self, function)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: declaration_based.declaration_based_t.__init__
  (inherited documentation)